summaryrefslogtreecommitdiff
path: root/scripts/publish.sh
diff options
context:
space:
mode:
authorDave Cole <dave@developmentseed.org>2013-04-09 18:26:13 -0400
committerDave Cole <dave@developmentseed.org>2013-04-09 18:26:13 -0400
commit809a9b5204804ef36bae56f04eb640ab342fd381 (patch)
treea9a20765f2c84a1027a01a6713395bfb54ed6a8e /scripts/publish.sh
parente28985afe274e46086f73d20ac6cebc7710204d4 (diff)
Reorganize app to use external scripts. Make main file executable. Move sample code to readme. Refs #40.
Diffstat (limited to 'scripts/publish.sh')
-rwxr-xr-xscripts/publish.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/publish.sh b/scripts/publish.sh
new file mode 100755
index 0000000..5e1d2f1
--- /dev/null
+++ b/scripts/publish.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+
+repo=$1
+branch=$2
+owner=$3
+giturl=$4
+source=$5
+build=$6
+
+# Set the path of the hosted site
+site="/usr/share/nginx/www/$repo"
+
+# Remove old site files, move new ones in place
+rm -rf $site
+mv $build $site